#
# spec file for package tepl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tepl
Version:        3.0.0
Release:        lp150.1.4
Summary:        Text Editor Product Line
License:        LGPL-2.1+
Group:          Productivity/Text/Editors
Url:            https://wiki.gnome.org/Projects/Tepl
Source:         http://download.gnome.org/sources/tepl/3.0/%{name}-%{version}.tar.xz
BuildRequires:  gobject-introspection-devel >= 1.42.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.52
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.22
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5
BuildRequires:  pkgconfig(uchardet)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. It is a continuation/rename of Gtef.

%package devel
Summary:        Development files for Tepl, a text editor framework
Group:          Development/Libraries/GNOME
Requires:       libamtk-3-0 = %{version}
Requires:       libtepl-3-0 = %{version}
Requires:       typelib-1_0-Amtk-3_0 = %{version}
Requires:       typelib-1_0-Tepl-3_0 = %{version}

%description devel
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. It is a continuation/rename of Gtef.

This subpackage contains the header files for developing
applications that want to make use of tepl.

%package -n libamtk-3-0
Summary:        Actions, Menus and Toolbars Kit
Group:          System/Libraries

%description -n libamtk-3-0
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. It is a continuation/rename of Gtef.

AMTK provides further widgets for actions, menus and toolbars.

%package -n libtepl-3-0
Summary:        A text editor framework
# Languages are provided by API version, hence tepl-3
Group:          System/Libraries
Recommends:     %{name}-3-lang
Provides:       tepl-3 = %{version}

%description -n libtepl-3-0
Tepl (Text Editor Product Line) is a library that eases the
development of GtkSourceView-based text editors and IDEs. It is a
continuation / rename of Gtef

%package -n typelib-1_0-Amtk-3_0
Summary:        GObject introspection bindings for libamtk
Group:          System/Libraries

%description -n typelib-1_0-Amtk-3_0
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. It is a continuation/rename of Gtef.

This package provides the GObject Introspection bindings for tepl/amtk.

%package -n typelib-1_0-Tepl-3_0
Summary:        GObject introspection bindings for libtepl
Group:          System/Libraries

%description -n typelib-1_0-Tepl-3_0
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. It is a continuation/rename of Gtef.

This package provides the GObject Introspection bindings for tepl.

%lang_package -n %{name}-3

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}-3

%post   -n libamtk-3-0 -p /sbin/ldconfig
%postun -n libamtk-3-0 -p /sbin/ldconfig
%post   -n libtepl-3-0 -p /sbin/ldconfig
%postun -n libtepl-3-0 -p /sbin/ldconfig

%files -n libamtk-3-0
%doc COPYING NEWS
%{_libdir}/libamtk-3.so.*

%files -n libtepl-3-0
%doc COPYING NEWS
%{_libdir}/libtepl-3.so.*

%files -n typelib-1_0-Amtk-3_0
%{_libdir}/girepository-1.0/Amtk-3.typelib

%files -n typelib-1_0-Tepl-3_0
%{_libdir}/girepository-1.0/Tepl-3.typelib

%files devel
%doc ABOUT-NLS AUTHORS ChangeLog README
%{_datadir}/gtk-doc/html/%{name}-3.0/
%{_datadir}/gir-1.0/Amtk-3.gir
%{_datadir}/gir-1.0/Tepl-3.gir
%{_includedir}/amtk-3/
%{_includedir}/tepl-3/
%{_libdir}/pkgconfig/amtk-3.pc
%{_libdir}/pkgconfig/tepl-3.pc
%{_libdir}/*.so

%files -n %{name}-3-lang -f %{name}-3.lang

%changelog
* Sun Sep 10 2017 jengelh@inai.de
- Update package descriptions.
* Sat Sep  9 2017 dimstar@opensuse.org
- Update to version 3.0.0:
  + Updated translations.
* Fri Sep  1 2017 dimstar@opensuse.org
- Update to version 2.99.4:
  + Amtk:
  - Add factory functions to create GtkMenuToolButton's and
    GtkCheckMenuItem's.
  - Improve amtk_application_window_connect_menu_to_statusbar()
    API.
  - Add amtk_utils_bind_g_action_to_gtk_action(), to be able to
    port an application gradually to GAction while still using
    GtkUIManager.
  + Framework:
  - TeplTabLabel: add an overridable tooltip API, by default the
    tooltip shows the file location.
- Changes from version 2.99.3:
  + Amtk:
  - Add amtk_init() and amtk_finalize().
  - Remove AmtkFactoryMenu class, move its functions to its
    parent class AmtkFactory.
  - AmtkFactory: add functions to create GtkToolItem's.
  - Add amtk_application_window_create_open_recent_menu().
  - Improvements to the documentation.
  - Other small code improvements.
  + Framework:
  - TeplTabGroup interface:
    . Add :active-tab, :active-view and :active-buffer properties.
    . Add tepl_tab_group_set_active_tab().
    . Add tepl_tab_group_append_tab().
  - Finish to implement the GActions for the Edit menu: cut,
    copy, paste, delete and select all. (Update the
    GAction:enabled properties).
  - Add "win.tepl-new-file" GAction.
  - Add the TeplAbstractFactory class to create TeplTab's and tab
    labels.
  - TeplBuffer: rename title -> full-title and add short-title.
  - Add the TeplTab::close-request signal.
  - Add the TeplTabLabel class (which shows the buffer
    short-title, plus a close button; the tooltip is not yet
    handled).
  + Misc:
  - Add tepl_init() and tepl_finalize(), do not use DSO
    constructors/destructors.
  - Implement small internal utility: TeplSignalGroup, inspired
    by DzlSignalGroup from libdazzle, but with a much simpler
    implementation.
  - Improvements to the documentation.
  + Updated translations.
* Wed Aug 23 2017 dimstar@opensuse.org
- Initial package, version 2.99.2, based on gtef (which this
  library was renamed from).
